#include "descriptor/descriptor.h"

int main(void){

	ITEM marmo, ceramica,acqua, vetro;
	ITEM facciata, ColFacciata, scalinata, piano_base, emisfero,
		  colon1, colon2, colon3, colon4, colon5, colon6, colon7, colon8;
	ITEM terrazzo,copTerr1,copTerr2,copTerr3,copTerr4,CopTerrDx, copTerrDiet1,copTerrDiet2;
	ITEM ParTerrDietDx,ParTerrDietSx,copTerrDietDx,copTerrDietSx;
	ITEM ColPassamanoDx, ColPassamanoSx, PassamanoDx, PassamanoSx;
	ITEM fontanino, AcquaFontanino,Pietre, tetto, Ancora;
	ITEM FontCentr, AcquaFontCentr, ZampCentr, AcquZamCentr, ZampLateraleDx,  ZampLateraleSx,
		  ZampLat;
	ITEM ZampLaterale1, AcquZampLat1,ZampLaterale2,ZampLaterale3;
	ITEM Anfora1, AcquaAnfora1, Anfora2, Anfora;
	ITEM Panchina, panchina1, panchina2, panchina3, panchina4;
	ITEM scene, scalCol, front, CoperturaTerrazzo, Ringhiera, FontanaCentrale;
	ITEM Faretto, InvFar0, InvFar1,InvFar2,InvFar3;
	ITEM LanternaMuro, LantMur1, LantMur2, LantMur3, LantMur4, LantMur5, LantMur6,
		  LantMur7, LantMur8, LantMur9, LantMur10, LantMur11, LantMur12;
	ITEM LanternaSoffitto, LantSoff1, LantSoff2, LantSoff3;

	set_background(0.675,0.861,0.953,TRUE);
	set_ambient_light(1,1,1,0.1);

	/*LUCI FARI FACCIATA ANTERIORE*/

	create_point_light(0,4.11,0.18,1,1,0.8,5,8, "light1");
	create_point_light(-5,4.11,0.18,1,1,0.8,5,8, "light2");
	create_point_light(5,4.11,0.18,1,1,0.8,5,8, "light3");
	create_point_light(0,8.05,0.18,1,1,0.8,10,20, "light4");

	/*LUCI LANTERNE A MURO*/

	create_point_light(3.35, -3.95, 2, 1,1,0.8,3,10, "light5");
	create_point_light(3.35, -6.7, 2, 1,1,0.8,3,10, "light6");
	create_point_light(3.35, -9.45, 2, 1,1,0.8,3,10, "light7");
	create_point_light(4.6, -3.95, 5.5, 1,1,0.8,3,10, "lightSu5");
	create_point_light(4.6, -6.7, 5.5, 1,1,0.8,3,10, "lightSu6");
	create_point_light(4.6, -9.45, 5.5, 1,1,0.8,3,10, "lightSu7");

	create_point_light(-3.35, -3.95, 2, 1,1,0.8,3,10, "light8");
	create_point_light(-3.35, -6.7, 2, 1,1,0.8,3,10, "light9");
	create_point_light(-3.35, -9.45, 2, 1,1,0.8,3,10, "light10");
	create_point_light(-4.6, -3.95, 5.5, 1,1,0.8,3,10, "lightSu8");
	create_point_light(-4.6, -6.7, 5.5, 1,1,0.8,3,10, "lightSu9");
	create_point_light(-4.6, -9.45, 5.5, 1,1,0.8,3,10, "lightSu10");

	/*LUCI LANTERNE ATTACCATE A SOFFITTO*/

	create_point_light(3.35, -13.15, 6.9, 1,1,0.8,3,10, "light11");
	create_point_light(-3.35, -13.15, 6.9, 1,1,0.8,3,10, "light12");
	create_point_light(0.6, -10.35, 4.8, 1,1,0.8,3,10, "light13");

	/* ATTRIBUTE MARMO */

	marmo = create_attribute("Marmo");
	set_color(marmo,0,1,0,0.1,0.2);
	set_reflectivity(marmo,0.08,128);

	ceramica = create_attribute("Ceramica");
	set_color(ceramica,0.65,0.29,0.16,0.2,0.65);
	set_reflectivity(ceramica,0.17,15);

	/*ATTRIBUTE ACQUA*/

	acqua = create_attribute("Acqua");
	set_color(acqua, 0, 1, 1, 0.9, 0.2);
	set_reflectivity(acqua, 0.24, 90);
	set_transparency(acqua, 0.9, 0.68, 1, 1.33);

	/* ATTRIBUTO VETRO */

	vetro = create_attribute("Vetro");
	set_color(vetro, 0.68, 0.86, 1, 0.1, 0.1);
	set_reflectivity(vetro, 0.24, 2);
	set_transparency(vetro, 0.9, 0.9, 1, 1.2);

	InvFar0 = read_nurbs("Faretto.db");
	set_scale(InvFar0, 0.2, 0.4, 0.2);
	set_z_rotate(InvFar0, 90, 1);
	set_scale(InvFar0, 1/0.2, 1/0.2, 1/0.2);
	set_projection_texture(InvFar0,marmo,"textures/Ferro1.hr", TRUE,TRUE, 0.2 , 0.2);
	set_scale(InvFar0, 0.2, 0.2, 0.2);
	set_x_rotate(InvFar0, -30, 1);
	InvFar1 = create_copy(InvFar0,"InvFar1");
	set_z_rotate(InvFar1, 20, 1);
	InvFar2 = create_copy(InvFar0,"InvFar2");
	set_z_rotate(InvFar2, -20, 1);
	InvFar3 = create_copy(InvFar0,"InvFar3");
	set_x_rotate(InvFar3, -30, 1);

	set_translate(InvFar0, 0, 4, 0.2);
	set_translate(InvFar1, -5, 4, 0.2);
	set_translate(InvFar2, 5, 4, 0.2);
	set_translate(InvFar3, 0, 8, 0.2);

	Faretto = create_list(InvFar0,"Faretto");
	Faretto = insert_in_list(Faretto, InvFar1);
	Faretto = insert_in_list(Faretto, InvFar2);
	Faretto = insert_in_list(Faretto, InvFar3);

	LantMur1 = read_obj("LanternaMuro.obj", "LanternaAMuro1");
	set_scale(LantMur1, 0.15, 0.15, 0.15);
	set_z_rotate(LantMur1, 90,1);
	LantMur2 = create_copy(LantMur1, "LanternaAMuro2");
	LantMur3 = create_copy(LantMur1, "LanternaAMuro3");
	LantMur7 = create_copy(LantMur1, "LanternaAMuro7");
	LantMur8 = create_copy(LantMur1, "LanternaAMuro8");
	LantMur9 = create_copy(LantMur1, "LanternaAMuro9");

	LantMur4 = create_copy(LantMur1, "LanternaAMuro4");
	set_z_rotate(LantMur4, 180,1);
	LantMur5 = create_copy(LantMur4, "LanternaAMuro5");
	LantMur6 = create_copy(LantMur4, "LanternaAMuro6");
	LantMur10 = create_copy(LantMur4, "LanternaAMuro10");
	LantMur11 = create_copy(LantMur4, "LanternaAMuro11");
	LantMur12 = create_copy(LantMur4, "LanternaAMuro12");

	set_translate(LantMur1, 3.45, -3.95, 2);
	set_translate(LantMur2, 3.45, -6.7, 2);
	set_translate(LantMur3, 3.45, -9.45, 2);
	set_translate(LantMur7, 4.7, -3.95, 5.5);
	set_translate(LantMur8, 4.7, -6.7, 5.5);
	set_translate(LantMur9, 4.7, -9.45, 5.5);

	set_translate(LantMur4, -3.45, -3.95, 2);
	set_translate(LantMur5, -3.45, -6.7, 2);
	set_translate(LantMur6, -3.45, -9.45, 2);
	set_translate(LantMur10, -4.7, -3.95, 5.5);
	set_translate(LantMur11, -4.7, -6.7, 5.5);
	set_translate(LantMur12, -4.7, -9.45, 5.5);

	LanternaMuro = create_list(LantMur1, "LanterneAMuro");
	LanternaMuro = insert_in_list(LanternaMuro,LantMur2);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur3);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur4);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur5);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur6);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur7);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur8);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur9);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur10);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur11);
	LanternaMuro = insert_in_list(LanternaMuro,LantMur12);

	LantSoff1 = read_obj("Lanterna.obj","LanternaSoffitto1");
	set_scale(LantSoff1, 0.1, 0.1, 0.15);
	LantSoff2 = create_copy(LantSoff1, "LanterneSoffitto2");
	LantSoff3 = create_copy(LantSoff1, "LanterneSoffitto3");

	set_translate(LantSoff1, 3.55, -13.15, 6.73);
	set_translate(LantSoff2, -3.55, -13.15, 6.73);
	set_translate(LantSoff3, 0.6, -10.35, 4.6);

	LanternaSoffitto = create_list(LantSoff1, "LanterneSoffitto");
	LanternaSoffitto = insert_in_list(LanternaSoffitto, LantSoff2);
	LanternaSoffitto = insert_in_list(LanternaSoffitto, LantSoff3);

	facciata = read_obj("FacciatCol.obj", "Facciata");
	set_scale(facciata, 1.0/4, 1.0/4, 1.0);
	set_projection_texture(facciata,marmo,"textures/Marmo011.hr", TRUE,TRUE, 0.2 , 0.2);
	set_scale(facciata, 4, 4, 1);

	ColFacciata = read_obj("FacciatCol_Int.obj","ColFacc");
	set_projection_texture(ColFacciata,marmo,"textures/Marmo035.hr", TRUE,TRUE, 0.2 , 0.2);

	scalinata = read_obj("Scalinata.obj","Scale");
	set_x_rotate(scalinata, 90, 1);
	set_projection_texture(scalinata, marmo,"textures/Marmo007.hr", TRUE,TRUE, 0.2 , 0.2);
	set_x_rotate(scalinata, -90, 1);

	piano_base = read_nurbs("Piano.db");
	set_x_rotate(piano_base, 90,1);
	set_scale(piano_base,1.0/0.2,1.0/0.2,1);
	set_projection_texture(piano_base,marmo,"textures/Marmo012.hr", TRUE, TRUE, 0.2 , 0.2);
	set_scale(piano_base,0.2,0.2,1);
	set_x_rotate(piano_base, -90,1);
	set_scale(piano_base,2,2,2);

	emisfero = read_nurbs("Emisfero.db");
	set_x_rotate(emisfero, 90, 1);
	set_projection_texture(emisfero,marmo,"textures/cielo007.hr", TRUE,TRUE, 0.4 , 0.2);
	set_x_rotate(emisfero, -90, 1);
	set_scale(emisfero, 40,40,40);

	colon1 = read_obj("ColoScale.obj","ColScale1");
	set_projection_texture(colon1,marmo,"textures/Marmo011.hr", TRUE,TRUE, 0.2 , 0.2);
	colon2 = create_copy(colon1, "Colscale2");
	colon3 = create_copy(colon1, "Colscale3");
	colon4 = create_copy(colon1, "Colscale4");
	colon5 = create_copy(colon1, "ColPost1");
	colon6 = create_copy(colon1, "ColPost2");
	set_translate(colon1, 2.2, -12, 0);
	set_translate(colon2, -1, -12, 0);
	set_translate(colon3, 2.2, -8.8, 0);
	set_translate(colon4, -1, -8.8, 0);

	set_scale(colon5, 1.5, 1.5, 0.67);
	set_translate(colon5, 4.5, -1.5,0);
	set_scale(colon6, 1.5, 1.5, 0.67);
	set_translate(colon6, -4.5, -1.5,0);
	colon7 = create_copy(colon5, "ColPost3");
	colon8 = create_copy(colon6, "ColPost4");
	set_translate(colon7, 0, -12.4,0);
	set_translate(colon8, 0, -12.4,0);

	/*PANCHINE*/

	panchina1 = read_obj("Panchina.obj","Panchina1");
	set_translate(panchina1, 0, -0.75, 0.45);
	set_projection_texture(panchina1,marmo,"textures/Marmo007.hr", TRUE,TRUE, 0.2 , 0.2);
	set_scale(panchina1, 0.8, 0.8, 0.8);
	panchina2 = create_copy(panchina1, "Panchina2");
	panchina3 = create_copy(panchina1, "Panchina3");
	set_z_rotate(panchina3, 180, 1);
	panchina4 = create_copy(panchina3, "Panchina4");

	set_translate(panchina1, 4.35, -2.5, 0);
	set_translate(panchina2, 4.35, -8, 0);
	set_translate(panchina3, -4.35,-2.5, 0);
	set_translate(panchina4, -4.35,-8, 0);

	Panchina = create_list(panchina1,"Panchine");
	Panchina = insert_in_list(Panchina, panchina2);
	Panchina = insert_in_list(Panchina, panchina3);
	Panchina = insert_in_list(Panchina, panchina4);

	tetto = read_nurbs("Tetto.db");
	set_x_rotate(tetto, 90, 1);
	set_projection_texture(tetto,marmo,"textures/Marmo011.hr", TRUE,TRUE, 0.2 , 0.2);
	set_x_rotate(tetto, -90, 1);
	set_z_rotate(tetto,45,1);
	set_scale(tetto, 1.7, 1.7, 1.7);
	set_translate(tetto, 0.6, -10.35, 5.9);

	terrazzo = read_nurbs("Terrazzo.db");
	set_x_rotate(terrazzo,90,1);
	set_projection_texture(terrazzo,marmo,"textures/Marmo012.hr", TRUE,TRUE, 0.2 , 0.2);
	set_x_rotate(terrazzo,-90,1);

	fontanino = read_obj("Cup_Font_Col.obj","fontanino");
	set_x_rotate(fontanino,90,1);
	set_projection_texture(fontanino,marmo,"textures/Marmo049.hr", TRUE,TRUE, 0.2 , 0.2);
	set_x_rotate(fontanino,-90,1);
	set_z_rotate(fontanino,45,1);
	set_scale(fontanino, 0.7, 0.7, 0.7);
	set_translate(fontanino, -2.5, -10.5, 0);

	AcquaFontanino = read_nurbs("AcquaFont.db");
	set_attribute(AcquaFontanino, acqua);
	set_scale(AcquaFontanino, 0.7, 0.7, 0.7);
	set_translate(AcquaFontanino, -2.5, -10.5, 0);

	copTerr1 = read_obj("ModuloTerrazzo.obj", "CoperturaTerrazzo");
	set_z_rotate(copTerr1,90,1);
	set_projection_texture(copTerr1,marmo,"textures/Marmo007.hr", TRUE,TRUE, 0.2 , 0.2);
	set_z_rotate(copTerr1,-90,1);

	set_translate(copTerr1, 0, 0.07, 0);
	copTerr2 = create_copy(copTerr1, "copTerr2");
	set_translate(copTerr2,0, -2.75, 0);
	copTerr3 = create_copy(copTerr2, "copTerr3");
	set_translate(copTerr3,0, -2.75, 0);
	copTerr4 = create_copy(copTerr3, "copTerr4");
	set_translate(copTerr4,0, -2.75, 0);

	copTerrDiet1 = create_copy(copTerr1, "CopTerrDietro1");
	set_translate(copTerrDiet1, -4.8, 1.2,0);
	set_z_rotate(copTerrDiet1, -90, 1);
	set_translate(copTerrDiet1, 0, -14.2, 0);
	copTerrDiet2 = create_copy(copTerrDiet1, "CopTerrDietro2");
	set_translate(copTerrDiet2, 2.75, 0, 0);

	ParTerrDietDx = read_nurbs("ParetPostDx.db");
	set_projection_texture(ParTerrDietDx,marmo,"textures/Marmo007.hr", TRUE,TRUE, 0.2 , 0.2);
	ParTerrDietSx = read_nurbs("ParetPostSx.db");
	set_projection_texture(ParTerrDietSx,marmo,"textures/Marmo007.hr", TRUE,TRUE, 0.2 , 0.2);

	copTerrDietDx = read_nurbs("CopParetPostDx.db");
	set_attribute(copTerrDietDx, vetro);
	copTerrDietSx = read_nurbs("CopParetPostSx.db");
	set_attribute(copTerrDietSx, vetro);

	PassamanoSx = read_nurbs("Passamano.db");
	set_y_rotate(PassamanoSx, 90, 1);
	set_projection_texture(PassamanoSx,marmo,"textures/Marmo019.hr", TRUE,TRUE, 0.2 , 0.2);
	set_y_rotate(PassamanoSx, -90, 1);
	PassamanoDx = create_copy(PassamanoSx, "PassamanoDx");
	set_translate(PassamanoDx,-5.45,0,0);

	ColPassamanoSx = read_obj("ColoPassamano.obj", "ColonRinghieraSx");
	set_projection_texture(ColPassamanoSx,marmo,"textures/Marmo011.hr", TRUE,TRUE, 0.2 , 0.2);
	ColPassamanoDx = create_copy(ColPassamanoSx, "ColonRinghieraDx");
	set_translate(ColPassamanoDx, -5.45,0,0);

	FontCentr = read_nurbs("FontanaCentrale.db");
	set_projection_texture(FontCentr,marmo,"textures/Marmo007.hr", TRUE,TRUE, 0.2 , 0.2);
	set_translate (FontCentr, 0, -5, 0);

	AcquaFontCentr = read_nurbs("AcquaFontanaCentr.db");
	set_translate (AcquaFontCentr, 0, -5, 0);
	set_attribute(AcquaFontCentr,acqua);

	ZampCentr = read_nurbs("ZampilloCentrale.db");
	set_projection_texture(ZampCentr,marmo,"textures/Ferro3.hr", TRUE,TRUE, 0.6 , 0.6);
	set_translate (ZampCentr, 0, -5, 0);

	AcquZamCentr = read_nurbs("AcquaZampilloCentrale.db");
	set_translate (AcquZamCentr, 0, -5, 0);
	set_attribute(AcquZamCentr,acqua);

	ZampLaterale1 = read_nurbs("ZampilloLaterale.db");
	set_projection_texture(ZampLaterale1,marmo,"textures/Ferro3.hr", TRUE,TRUE, 0.6 , 0.6);
	AcquZampLat1 = read_nurbs("AcquaZampLaterale.db");
	set_attribute(AcquZampLat1,acqua);
	ZampLat= create_list( ZampLaterale1, "ZampLat1");
	ZampLat = insert_in_list(ZampLat, AcquZampLat1);
	set_translate(ZampLat, 0.1, 0, 0);

	ZampLaterale2 = create_copy(ZampLat, "ZampLaterale2");
	set_z_rotate(ZampLaterale2, 10, 1);
	ZampLaterale3 = create_copy(ZampLat, "ZampLaterale3");
	set_z_rotate(ZampLaterale3, -10, 1);
	set_translate (ZampLat, 0, -5, 0);
	set_translate (ZampLaterale2, -0.1, -5, 0);
	set_translate(ZampLaterale3, -0.1, -5, 0);

	Pietre = read_obj("Pietre.obj", "Pietre");
	set_projection_texture(Pietre,marmo,"textures/Pietra03.hr", TRUE,TRUE, 0.2 , 0.2);
	set_translate (Pietre, 0, -5, 0);

	Anfora1 = read_obj("Anfora.obj", "Anfora");
	set_attribute(Anfora1, ceramica);
	set_z_rotate(Anfora1, 90, 1);
	AcquaAnfora1= read_nurbs("AcquaAnfora.db");
	set_attribute(AcquaAnfora1,acqua);
	set_z_rotate(AcquaAnfora1, -20, 1);

	Ancora =  read_obj("Ancora.obj", "Ancora");
	set_projection_texture(Ancora,marmo,"textures/Ferro3.hr", TRUE,TRUE, 0.6 , 0.6);
	set_scale(Ancora, 0.2, 0.2, 0.2);
	set_z_rotate(Ancora, 35, 1);
	set_x_rotate(Ancora, 20, 1);
	set_translate(Ancora, 0, -5, 1.2);

	scene = create_list(piano_base,"scena");
	scene = insert_in_list(scene,emisfero);
	front = create_list(facciata, "facciata");
	front = insert_in_list(front, ColFacciata);

	scene = insert_in_list(scene,front);
	scene = insert_in_list(scene,terrazzo);
	scalCol = create_list(colon1, "scalCol");
	scalCol = insert_in_list(scalCol,colon2);
	scalCol = insert_in_list(scalCol,colon3);
	scalCol = insert_in_list(scalCol,colon4);
	scalCol = insert_in_list(scalCol,colon5);
	scalCol = insert_in_list(scalCol,colon6);
	scalCol = insert_in_list(scalCol,colon7);
	scalCol = insert_in_list(scalCol,colon8);
	scalCol = insert_in_list(scalCol,scalinata);
	scalCol = insert_in_list(scalCol,tetto);
	scene = insert_in_list(scene,scalCol);

	CoperturaTerrazzo = create_list(copTerr1, "CoperturaTerrazzo");
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerr2);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerr3);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerr4);
	CopTerrDx = create_copy(CoperturaTerrazzo, "CoperturaTerrDx");
	set_translate(CopTerrDx, 0, 6.7, 0);
	set_z_rotate(CopTerrDx,180,1);
	set_translate(CopTerrDx, 0, -6.7, 0);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, CopTerrDx);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerrDiet1);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerrDiet2);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, ParTerrDietDx);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, ParTerrDietSx);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerrDietDx);
	CoperturaTerrazzo = insert_in_list(CoperturaTerrazzo, copTerrDietSx);

	Ringhiera = create_list(PassamanoSx, "Ringhiera");
	Ringhiera = insert_in_list (Ringhiera, PassamanoDx);
	Ringhiera = insert_in_list (Ringhiera, ColPassamanoSx);
	Ringhiera = insert_in_list (Ringhiera, ColPassamanoDx);

	scene = insert_in_list(scene, Ringhiera);

	FontanaCentrale = create_list(FontCentr, "FontanaCentrale");
	FontanaCentrale = insert_in_list(FontanaCentrale, AcquaFontCentr);
	FontanaCentrale = insert_in_list(FontanaCentrale, ZampCentr);
	FontanaCentrale = insert_in_list(FontanaCentrale, AcquZamCentr);
	ZampLateraleSx = create_list(ZampLat, "Zampilli");
	ZampLateraleSx = insert_in_list(ZampLateraleSx, ZampLaterale2);
	ZampLateraleSx = insert_in_list(ZampLateraleSx, ZampLaterale3);
	ZampLateraleDx = create_copy(ZampLateraleSx, "ZampilliDx");
	set_translate(ZampLateraleDx, 0, 5, 0);
	set_z_rotate(ZampLateraleDx, 180, 1);
	set_translate(ZampLateraleDx, 0, -5, 0);

	ZampLateraleSx = insert_in_list(ZampLateraleSx, ZampLateraleDx);
	FontanaCentrale = insert_in_list(FontanaCentrale, ZampLateraleSx);
	FontanaCentrale = insert_in_list(FontanaCentrale, Pietre);
	Anfora = create_list(Anfora1, "Anfora");
	Anfora = insert_in_list(Anfora, AcquaAnfora1);
	set_scale(Anfora, 0.04,0.04,0.04);
	set_z_rotate(Anfora, -70, 1);
	set_y_rotate(Anfora, 40, 1);
	Anfora2 = create_copy(Anfora, "Anfora2");
	set_z_rotate(Anfora2, 180, 1);
	set_translate(Anfora, 0.3, -5, 0.5);
	set_translate(Anfora2,-0.3, -5, 0.5);
	FontanaCentrale = insert_in_list(FontanaCentrale, Anfora);
	FontanaCentrale = insert_in_list(FontanaCentrale, Anfora2);
	FontanaCentrale = insert_in_list(FontanaCentrale, Ancora);
	scene = insert_in_list(scene,FontanaCentrale);
	scene = insert_in_list(scene,CoperturaTerrazzo);
	scene = insert_in_list(scene,fontanino);
	scene = insert_in_list(scene,AcquaFontanino);
	scene = insert_in_list(scene, Panchina);
	scene = insert_in_list(scene, Faretto);
	scene = insert_in_list(scene, LanternaMuro);
	scene = insert_in_list(scene, LanternaSoffitto);

	save_scene("Tempio.md","scene_Tempio",scene);
	return(0);
}
